Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356012 - Docker was upgraded to 1.10.3 on masters even if docker_version=1.9.1
Summary: Docker was upgraded to 1.10.3 on masters even if docker_version=1.9.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Devan Goodwin
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 09:30 UTC by Anping Li
Modified: 2016-09-06 19:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 19:47:09 UTC


Attachments (Terms of Use)
ugprade native logs (deleted)
2016-07-13 09:49 UTC, Anping Li
no flags Details

Description Anping Li 2016-07-13 09:30:14 UTC
Description of problem:
Although I set docker_version=1.9.1, the docker was still upgraded to latest on masters. The docker version is correct on nodes

Version-Release number of selected component (if applicable):
openshift/openshift-ansible: Pull Request 1945.

How reproducible:
always

Steps to Reproduce:
1) install nativeha openshift 3.1 environment (docker version is 1.8.2)
2) configure ansible inventory file
openshift_release=v3.2
openshift_pkg_version=-3.2.0.41
docker_version=1.9.1
3) ansible-playbook -i config/haproxyha /root/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_2/upgrade.yml -vvv|tee upgrade_v31_to_V32.logs

Actual results:
TASK [docker : Fail if Docker version requested but downgrade is required] *****
task path: /root/openshift-ansible/roles/docker/tasks/main.yml:21
fatal: [ha1master1.example.com]: FAILED! => {"changed": false, "failed": true, "invocation": {"module_args": {"msg": "Docker 1.10.3 is installed, but version 1.9.1 was requested."}, "module_name": "fail"}, "msg": "Docker 1.10.3 is installed, but version 1.9.1 was requested."}
fatal: [ha1master2.example.com]: FAILED! => {"changed": false, "failed": true, "invocation": {"module_args": {"msg": "Docker 1.10.3 is installed, but version 1.9.1 was requested."}, "module_name": "fail"}, "msg": "Docker 1.10.3 is installed, but version 1.9.1 was requested."}

Expected results:
The docker was upgrade to 1.9.1 on masters

Additional info:

Comment 1 Anping Li 2016-07-13 09:49:54 UTC
Created attachment 1179176 [details]
ugprade native logs

Comment 2 Anping Li 2016-07-14 08:09:24 UTC
The issue was fixed on the change in last day.

Comment 3 Anping Li 2016-07-22 05:14:34 UTC
Verified and pass.


Note You need to log in before you can comment on or make changes to this bug.